/* ym68sdl.h
 *
 * Copyright (C) 2006, bja <bja@kth.se>
 *
 * This program is based on Aylet.gp2x by ParkyDR.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef _YM68_SDL_H
#define _YM68_SDL_H

#include "ym68api.h"

enum cb_action_tag {
  cb_none,
  cb_quit,
  cb_highspeed,
  cb_prev_file,
  cb_next_file,
  cb_prev_track,
  cb_next_track,
  cb_play,
  cb_pause,
  cb_stop,
  cb_restart,
  cb_dec_stopafter,
  cb_inc_stopafter,
  cb_dec_fadetime,
  cb_inc_fadetime,
  cb_dec_vol,
  cb_inc_vol
};

struct time_tag {
  int min;
  int sec;
  int subsecframes; 
};

extern struct aydata_tag aydata;
extern struct time_tag tunetime;
extern ym68_info_t ym68info;

extern int update_flag;
extern int playing;
extern int paused;
extern int playlist_enable;

extern char **ay_filenames;	// the files in menu
extern int ay_file;		// the selected file in menu
extern int ay_num_files;	// number of files in menu
extern int ymfile;		// the currently loaded file

extern int action_callback(enum cb_action_tag action);

#endif
